Vue.component('reserved-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in toBeReservedList">
					<p class="follow-up-doctor"><span class="start-time pull-right">开始时间：{{list.czrq}}</span>随访医生：{{list.doctorName}}</p>
					<div class="follow-user-info">
						<p>科室/医院：{{list.deptName}}/{{list.orgName}}</p>
						<p class="completion-time">预约时间：{{list.startTime}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			toBeReservedList: "",
			curPage:1
		}
	},
	props:["reserveData"],
	methods: {
		viewDetail:function(){
			top.layer.open({
			    type: 2,
			    maxmin: true,
			    area: ['1000px', '650px'],
			    shadeClose: false,
			    moveOut:true,
			    btn:'返回',
			    success: function(layero){
				  	layero.find('.layui-layer-btn').css({'text-align': 'center','border-top': '1px solid #ececec','padding-top': '7.5px'});
				  	layero.find('.layui-layer-btn').find('a').addClass("layui-btn").css({background: '#f96565',color: '#fff',width: '100px',border: 'none', height: '34px','line-height':'22px',padding: '6px 12px','font-size': '14px'});
				},
			    content: '../html/lay_detail_reserved.html'
		   	});
		}
		
	},
	watch:{
		reserveData:function(){
			this.toBeReservedList = this.reserveData;
		}
	},
	mounted: function() {
		var divH = $("#tab-iframe",parent.document).height() - 75;
		$(".consultation-list").slimScroll({ height: divH,color: '#666'});
	}
})